Subject: Re: mpc8xx and ld.so problem

From: Marcelo Tosatti <[email-masked]>
Date: Fri, 1 Jul 2005 11:42:23 -0300

On Fri, Jul 01, 2005 at 02:56:30PM -0400, Jason McMullan wrote:
> On Fri, 2005-07-01 at 07:17 -0300, Marcelo Tosatti wrote:
> > That was a quick response - thanks.
> > 
> > Two questions:
> > 
> > - Do you happen to know about details of dcbz's (mis)behaviour on 8xx? 
> > 
> > I ask that mainly because I worry about in-kernel dcbz users.
> 
>     IIRC, it isn't used in any 8xx code paths.

OK!

> > - Shouldnt upstream glibc have that fixed for 8xx by now?
> 
>     Ha. Funny. The glibc powerpc maintainer doesn't want any embedded
> fixes in the mainline. 

Who is that?

> Last I checked, that was for 'the tools vendors' to fix.

Silly - so embedded developers are supposed rely on "embedded vendors"
and not on the mainstream software distributions? 

>     "We won't work around processor bugs" is their philosophy.
>
>     I went through a similar (unsuccessful) battle with the
> amcc 440ep's "blrl" errata and gcc/glibc.
> 
>     It would be nice if the politics there have changed
> (maybe they just didn't like me personally), but I don't have
> much hope.

If enough people complain they will, hopefully, listen.